/* $Id: msg.h,v 1.1.1.1 2006/07/12 13:37:52 endo Exp $ */

#ifndef _MSG_H_

/* All possible messages between the client and the server
   are contained here. Some of them are request messages
   and some of them are reply messages. Interpretation is
   left to the receiver.  If a message can have both and
   the parameters are different, they are discriminated by
   a '_r' for the reply. For example, a ping has similar
   parameters in both directions. */

typedef struct Command
  {
    int opcode;
    int id;
    union
      {
	struct
	  {
	  }
	null;			/* null */
      }
    data;
  }
Command;


#define _MSG_H_ TRUE
#endif /* _MSG_H_ */

/***** EOF *****/
