#!/bin/tcsh -f
#
# checkin the proposals
#
#######################################################################
# $Log: checkin_proposals.sh,v $
# Revision 1.1.1.1  2006/07/12 13:37:55  endo
# MissionLab 7.0
#
# Revision 1.1  2006/07/01 00:37:42  endo
# CMDLi from MARS 2020 migrated into AO-FNC repository.
#
# Revision 1.1.1.1  2006/06/29 20:42:07  endo
# cmdli local repository.
#
# Revision 1.2  2004/01/09 19:56:33  doug
# use env variable to find support directory
#
# Revision 1.1  2004/01/09 19:53:24  doug
# added support for proposals
#
#######################################################################

if ( $#argv != 1 ) then
    echo "usage:  checkin_proposals "'"'comment'"'
    exit 1
endif

# ---------------------------------------------------
# Get list of packages 
source $SUPPORT_DIR/proposals

# ---------------------------------------------------
# shut up pushd and cvs
set pushdsilent=1
alias cvs cvs -Q -d :pserver:$user@oak:/cvsroot
alias make make -k
set path = ( $path /usr/bin/X11 )

# ---------------------------------------------------
# check in the packages
echo "Checking in package "
foreach package ($proposals)
   echo "   "$package
   pushd $package
   cvs commit -m "$argv[1]"
   popd
end

